<?php
/** @var CONF An array containing some variable you should change to reflect your situation */
	$CONF=Array(
		'myURL'=>'http://layar.vendite.nl/cantine_docs', // URL to the directory where YOU are hosting this layer. No trailing slash, i.e.: http://layar.vendite.nl/cantine
		'myLayar'=>'cantine' // Name of your layar as it's called in the Layar publishing environment
	);

/** @var array To keep this demonstration as simple as possible we'll drop all the data that makes up the layer into an array so we can glue all those pieces together at the end. */
	$aResponse = Array(); 

/** @var array All the POI (Point Of Interest, called hotspots in the JSON response) templates will be put in this array */
	$aPOIs = Array();

// Add the POI templates for the "Scan to share" and "Vote for favorite Margarita" experiences.
	$aPOIs[] = file_get_contents('./json/scan-to-share');
	$aPOIs[] = file_get_contents('./json/margaritas');

/* Check if there's a value for the "rate" GET parameter. 
	If so, don't tell the client to show the thumbs when recognizing the "Rate us - door sticker" but rather make it show the "thanks" overlay to both thank the user and avoid double voting.
*/
	if (!isset($_GET['rate'])) {
		$aPOIs[] = file_get_contents('./json/rate-us');
	} else {
		$aPOIs[] = file_get_contents('./json/rate-us-thank-you');	
	}

/* We're done adding hotspots so let's combine everything into one object */
	$aResponse[] = file_get_contents('./json/json-header'); // Add the header to the response.
	$aResponse[] = implode(',',$aPOIs); // Glue the POIs together and add them to the response
	$aResponse[] = file_get_contents('./json/json-footer'); // Add the footer to the reponse.
	
	$sResponse = implode('', $aResponse); // The string sResponse contains the JSON response.
	
	// Now we'll parse the layername into the response. This name CAN be hardcoded but to make your life easier I'll just take UNFILTERED AND THUS NOT SAFE input from the request.
	$sResponse = str_replace('$layerName$', $_GET['layerName'], $sResponse);

	// And add some configuration
	$sResponse = str_replace('$CONF.myURL$', $CONF['myURL'], $sResponse);
	$sResponse = str_replace('$CONF.myLayar$', $CONF['myLayar'], $sResponse);


	// Now glue the response parts together and return it.
	header( "Content-type: application/json; charset=utf-8" ); // Set proper JSON content type
	echo $sResponse;
?>